package com.kz.grbl;

import org.jzy3d.colors.Color;
import org.jzy3d.maths.Coord3d;
import org.jzy3d.plot3d.primitives.pickable.PickablePoint;

public class MyPickablePoint extends PickablePoint {

	int id;
	int surfaceNo;
	int edgeNo;
	
	public MyPickablePoint(int id, int surface, int edge, Coord3d xyz, Color rgb, float width)
	{
		super(xyz, rgb,width);
		this.id = id;
		this.surfaceNo = surface;
		this.edgeNo = edge;
	}

	public int getId() {
		return id;
	}

	public int getSurfaceNo() {
		return surfaceNo;
	}

	public int getEdgeNo() {
		return edgeNo;
	}

	public float getX() {
		return this.xyz.x;
	}

	public float getY() {
		return this.xyz.y;
	}

	public float getZ() {
		return this.xyz.z;
	}
	
	public String toString()
	{
		return "Surface: " + this.getSurfaceNo() + " edge: " + this.getEdgeNo() + " x:" + this.getX() + " y:" + this.getY() + " z:" + this.getZ();
	}
}
