package com.kz.grbl;

import java.util.ArrayList;

import javax.swing.SwingUtilities;

import org.jzy3d.chart.Chart;
import org.jzy3d.colors.Color;
import org.jzy3d.maths.Coord3d;
import org.jzy3d.plot3d.rendering.canvas.CanvasAWT;

public class Visualizer extends Thread {

	/**
	 * @param args
	 */

	private Chart chart;
	private MyPickablePoint lastClickedPoint;
	private ArrayList<MyPickablePoint> pPoints;

	public Visualizer(ArrayList<MyPickablePoint> points, Chart chart, MyPickablePoint p) {
		this.chart = chart;
		this.pPoints = points;
		this.lastClickedPoint = p;
	}

	@Override
	public void run() {
		// TODO Auto-generated method stub

		// TODO Auto-generated method stub
		System.out.println("Thread: " + Thread.currentThread().getName() + " is edt:"
				+ SwingUtilities.isEventDispatchThread());
		Cylinder cyl = null;
		//CanvasAWT canvas = (CanvasAWT) chart.getCanvas();

		for (MyPickablePoint point : pPoints) {
			if (point.getSurfaceNo() == lastClickedPoint.getSurfaceNo()) {
				if (cyl != null) {
					cyl.clean();
					cyl.dispose();
				}
				cyl = new Cylinder(chart.getScene().getGraph());
				double height = 0.7;
				cyl.setData(point.getCoord(), (float) height, (float) 0.1, 15, 5, Color.BLUE);
				cyl.setWireframeDisplayed(true);
				cyl.setWireframeColor(Color.BLACK);

				// ctc.stop();
				// camMouse.startThreadController();
				chart.getScene().getGraph().add(cyl, true);

				cyl.setDisplayed(true);

				chart.render();
//				System.out.println(SurfaceDemo2.instance.canvas.getAnimator().getThread().isAlive());
//				System.out.println("Animator started?: " + canvas.getAnimator().isStarted() + "Animator animating?: "
//						+ canvas.getAnimator().isAnimating() + " fps:" + canvas.getAnimator().getLastFPS());

				// ctc.start();

				// SurfaceDemo2.instance.canvas.repaint(100);
				// camMouse.stopThreadController();

				// canvas.invalidate();
				// canvas.validate();

				// SurfaceDemo2.instance.canvas.getAnimator().pause();
				try {
					Thread.sleep(100);
				} catch (InterruptedException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
		}

	}

}
